# Class DataAndSeqNrPair

#### Hierarchy

- unknown
  - DataAndSeqNrPair

- Defined in src/protobuf/pb_pb.d.ts:2109
- Defined in src/protobuf/pb_pb.d.ts:2126

#####
Index

### Constructors

constructor

### Methods

clearPayload
getPayload
getSequenceNumber
hasPayload
serializeBinary
setPayload
setSequenceNumber
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DataAndSeqNrPair(): DataAndSeqNrPair

- #### Returns DataAndSeqNrPair

  Inherited from jspb.Message.constructor

## Methods

### clearPayload

- clearPayload(): DataAndSeqNrPair

- #### Returns DataAndSeqNrPair

  - Defined in src/protobuf/pb_pb.d.ts:2113

### getPayload

- getPayload(): undefined | StoragePayload

- #### Returns undefined | StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:2110

### getSequenceNumber

- getSequenceNumber(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2115

### hasPayload

- hasPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2112

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2118

### setPayload

- setPayload(value?: StoragePayload): DataAndSeqNrPair

- #### Parameters

  - ##### `Optional` value: StoragePayload

  #### Returns DataAndSeqNrPair

  - Defined in src/protobuf/pb_pb.d.ts:2111

### setSequenceNumber

- setSequenceNumber(value: number): DataAndSeqNrPair

- #### Parameters

  - ##### value: number

  #### Returns DataAndSeqNrPair

  - Defined in src/protobuf/pb_pb.d.ts:2116

### toObject

- toObject(includeInstance?: boolean): DataAndSeqNrPair.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DataAndSeqNrPair.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2119

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DataAndSeqNrPair

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DataAndSeqNrPair

  - Defined in src/protobuf/pb_pb.d.ts:2122

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DataAndSeqNrPair, reader: BinaryReader): DataAndSeqNrPair

- #### Parameters

  - ##### message: DataAndSeqNrPair

  - ##### reader: BinaryReader

  #### Returns DataAndSeqNrPair

  - Defined in src/protobuf/pb_pb.d.ts:2123

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DataAndSeqNrPair, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DataAndSeqNrPair

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2121

### `Static` toObject

- toObject(includeInstance: boolean, msg: DataAndSeqNrPair): DataAndSeqNrPair.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DataAndSeqNrPair

  #### Returns DataAndSeqNrPair.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2120

Generated using TypeDoc